Update an entity
- Base URL
-
https://{kibana_url}
- PUT /api/security/entity_store/entities/{entityType}
- PUT /s/{space_id}/api/security/entity_store/entities/{entityType}
Update an existing entity record in the Entity Store. By default only certain fields can be updated. Set the force query parameter to true to update protected fields.
Required privileges
- Privileges securitySolution
Path parameters
-
space_idstringoptional -
An identifier for the space. If
space_idis not provided in the URL, the default space is used. Refer to Spaces for more information.
Request body
Any of:
-
entityobject
-
entityobject
-
entityobject
-
entityobject
Responses
200
application/json
Indicates the entity was successfully updated.
400
application/json
Bad request.
404
application/json
Entity not found.